encryptNet={
	getToken:function(){
		return localStorage.getItem("encryptnet.token");
	},
	setToken:function(token){
		if(token==""){
			localStorage.removeItem("encryptnet.token");
		}
		else {
			localStorage.setItem("encryptnet.token",token);
		}
			
	},
	getHandler_ID:function(){
		return localStorage.getItem("encryptnet.handler_ID");
	},
	setHandler_ID:function(handler_ID){
		if(handler_ID==""){
			localStorage.removeItem("encryptnet.handler_ID");
		}
		else {
			localStorage.setItem("encryptnet.handler_ID",handler_ID);
		}
			
	},

	url_head :"http://www.szrw100.com:5980", //api头部地址

	url_head_DEBUG :"http://test.juyuanmeihui.com:5982", //api头部地址_测试

	
 
	/**
	 * [connect description]         全局的网络连接方式,缓存控制,网络控制都基于此
	 * @param  {[type]}   url       [api地址]
	 * @param  {[type]}   parameter [request中参数]
	 * @param  {Function} callback  [回调函数]
	 * @param  {Number}   cache     
	 * [
	 * 0默认,不允许使用缓存,
	 * 1使用用户私有缓存,即该url对同一token值可使用缓存,通常用户用户私有连接,例如userService和orderService.
	 * 2全局缓存,没有限制,一般用于navigatorService等传来的商品广告展示数据],注意允许缓存地址的地址除url外不能带parameter参数,
	 *  但允许通过url拼接参数,
	 *    原因1:通过paramater带参数,url初始地址无法放映返回数据的唯一性与可信性,即url失去了标识作用.
	 *    原因2:读取paramater,并自动拼接在url尾部,使用新的url进行连接,的确作为一种可行的办法,但是,拼接时无法很好处理好参数的前后关系,同样会致使url失去标识唯一性
	 *    原因3:全局缓存不允许带parameter的缓存,是防止token参数污染唯一性
	 *  @return {[type]}             [无]
	 */
	connect:function(url,parameter,callback,iscache){
		var cacheurl=url;

		var hasCallBack=false;
		if(this.hasCache(url,iscache)){
			this.getCache(url,callback,iscache);
			hasCallBack=true;
		}
			
		var currentTimeMillis = Date.parse(new Date());
		parameter.timestamp=currentTimeMillis;//获取服务器时间戳
		//console.log(new Date(currentTimeMillis));
		if(parameter.handler_ID==undefined){
			//例如 md5 ("/app/event/find?timestamp=1425860757")
			parameter.sign=hex_md5(url+"?timestamp="+parameter.timestamp)
		}else{
			if(encryptNet.getToken()==undefined){
				encryptNet.setToken("");
				encryptNet.setHandler_ID("");
				app.alert("登录信息失效,请重新登录00");
				app.swift(".index-login");
			}else{
				//例如 md5 ("/app/event/find?handler_ID=1&timestamp=1425860757&token=daf32da456hfdh")
				parameter.sign=hex_md5(url+"?handler_ID="+parameter.handler_ID+"&timestamp="+parameter.timestamp+"&token="+encryptNet.getToken())
			}
		}
		
		
		if(!window.DEBUG){
			url=encryptNet.url_head+url;
		}
		else{
			url=encryptNet.url_head_DEBUG+url;
		}
			
				$.ajax({
				url:url,
				data:parameter, 
				success:function(data){   //此处success不直接sucess:callback,可以在匿名函数处,编写全局网络拦截代码

					
					
					data=encryptNet.staticUrlConvert(data);
					
					if(data.code==200){ //只有成功状态的数据,才有机会被缓存
						if(iscache==1){ //判断该url是否允许缓存,允许缓存,将在断网状态下,继续使用上一次数据
						  localStorage.setItem(cacheurl,JSON.stringify(data)); //用户私有缓存
						 // INFO("存入缓存,类型为1");
						}
					    else if(iscache==2){
					    	 localStorage.setItem(cacheurl,JSON.stringify(data)); //全局缓存
					    	 //INFO("存入缓存,类型为2");
					    }
					    if(!hasCallBack){
					    	callback(data); //数据获取成功,并拦截完毕,执行要求的回调函数
					    }
						
					}else if(data.code<=0){
						
						app.alert("登录信息失效,请重新登录");
						handlerController.logout();
						
					}
					else{
						app.alert(data.msg);
					}
				},
				error:function(e){
					
					
					var url0="?";
					for(index in parameter){
						url0+=index+"="+parameter[index]+"&"
					}
					WARN("网络异常:"+this.url+url0);
					
				},
				dataType:"json",
				type:"POST"
				});
			
	},

	hasCache:function(url,cache){

		if(cache<1){
			return false;
		}
		else if(cache==1){
			if(url.indexOf("?")==-1){  //判断是否url带参,==-1代表不存在参数
				url=url+"?handler_ID="+this.getHandler_ID();
			}
		else{
				url=url+"&handler_ID="+this.getHandler_ID();
			}
		}

		

		var cache=localStorage.getItem(url);
		
		if(cache!=undefined){
			cache=JSON.parse(cache);
			console.log(cache);
			if(cache.code==200){
				return true;
			}
		}
		else{
			return false;
		}
	},
	getCache:function(url,callback,iscache){

		if(iscache>0){
			if(iscache==1){
			if(url.indexOf("?")==-1){  //判断是否url带参,==-1代表不存在参数
				url=url+"?handler_ID="+this.getHandler_ID();
			}
			else{
				url=url+"&handler_ID="+this.getHandler_ID();
			}
		}
		
		INFO("打开本地缓存:"+url);
		
		
		var cache=localStorage.getItem(url);
		
		if(cache!=undefined){
			cache=JSON.parse(cache);
			console.log(cache);
			if(cache.code==200){
				callback(cache);
			}
		}
		else{
			INFO("未找到该url缓存");
		}
		}
		
		
	},
	staticUrlConvert:function(data){
		var str=JSON.stringify(data);
		while(str.indexOf("fs:/")!=-1){
			str=str.replace("fs:/",_static_url+"static/");
		}
		return JSON.parse(str);
	},
	
}