/*		格式化实体json对象工具js类
 * 		zzs 
 * 		2016年11月29日 
 * 		说明：用于格式化由于枚举类型的存在原因，导致json对象中存在枚举类型name值，
 * 			不便于view层的展示效果，所以必须转换成对应的value值，便于展示
 * 		使用说明:
 * 			传过来的对象必须为单个，不支持数组，数组遍历需在controller层遍历
 * */
formatDomain={
		
		/********格式化Customer对象**********/
		customer:function(customer){
			//格式化certificationStatus
			switch (customer.certificationStatus) {
			case 'YES':
				customer.certificationStatus = '已认证'; break;
			case 'NO':
				customer.certificationStatus = '未认证'; break;
			case 'CHECK':
				customer.certificationStatus = '审核中'; break;
			case 'REJECT':
				customer.certificationStatus = '不通过'; break;
			default:
				customer.certificationStatus = '[未知类型]';
			}
			
			//格式化sex
			switch (customer.sex) {
			case 'MAN':
				customer.sex = '男'; break;
			case 'WOMAN':
				customer.sex = '女'; break;
			default:
				customer.sex = '未设置';
			}
			
			//格式化完毕
			return customer;
		},
		
		/********格式化Handler对象**********/
		handler:function(handler){
			//格式化seniorityType执证类型
			switch (handler.seniorityType) {
			case 'LAWYER':
				handler.seniorityType = '律师证'; break;
			case 'KUAIJI':
				handler.seniorityType = '会计师证'; break;
			case 'FANYI':
				handler.seniorityType = '翻译证'; break;
			default:
				handler.seniorityType = '未设置';
			}
			
			//格式化sex
			switch (handler.sex) {
			case 'MAN':
				handler.sex = '男'; break;
			case 'WOMAN':
				handler.sex = '女'; break;
			default:
				handler.sex = '未设置';
			}
			
			//格式化certificationStatus是否实名认证
			switch (handler.certificationStatus) {
			case 'YES':
				handler.certificationStatus = '已认证'; break;
			case 'NO':
				handler.certificationStatus = '未认证'; break;
			case 'CHECK':
				handler.certificationStatus = '审核中'; break;
			case 'REJECT':
				handler.certificationStatus = '不通过'; break;
			default:
				handler.certificationStatus = '[未知类型]';
			}
			
			//格式化credentialStatus服务资质认证状态
			switch (handler.credentialStatus) {
			case 'YES':
				handler.credentialStatus = '已认证'; break;
			case 'NO':
				handler.credentialStatus = '未认证'; break;
			case 'CHECK':
				handler.credentialStatus = '审核中'; break;
			case 'REJECT':
				handler.credentialStatus = '不通过'; break;
			default:
				handler.credentialStatus = '未认证';
			}
			
			//格式化isRecommend是否为知名推荐
			switch (handler.isRecommend) {
			case 'YES':
				handler.isRecommend = '是'; break;
			case 'NO':
				handler.isRecommend = '否'; break;
			default:
				handler.isRecommend = '[未知类型]';
			}

			
			//格式化完毕
			return handler;
		},
		
		/********格式化CofferLog对象**********/
		cofferLog:function(cofferLog){
			
			//格式化交易金额，如果为支出则在交易金额前面加 "-" 号,为收入则在交易金额前面加 "+" 号
			if(cofferLog.cofferFlowType.indexOf('支出')!=-1){
				cofferLog.amount='-'+cofferLog.amount;
				cofferLog.primitiveAmount='-'+cofferLog.primitiveAmount;
			}else if(cofferLog.cofferFlowType.indexOf('收入')!=-1){
				cofferLog.amount='+'+cofferLog.amount;
				cofferLog.primitiveAmount='+'+cofferLog.primitiveAmount;
			}
			
			//格式化支付状态
			switch(cofferLog.paymentStatus){
			case 'UNPAY':
				cofferLog.paymentStatus = '未支付'; 
				cofferLog.payTime = '未支付';
				break;
			case 'ALREADYPAY':
				cofferLog.paymentStatus = '已支付'; 
				cofferLog.payTime = new Date(cofferLog.payTime).Format('yyyy-MM-dd hh:mm:ss');//支付时间
				break;
			case 'UNINCOME':
				cofferLog.paymentStatus = '未收入'; 
				cofferLog.payTime = '未收入';
				break;
			case 'ALREADYINCOME':
				cofferLog.paymentStatus = '已收入'; 
				cofferLog.payTime = new Date(cofferLog.payTime).Format('yyyy-MM-dd hh:mm:ss');//支付时间
				break;
			default:
				cofferLog.paymentStatus = '[未知类型]';
			}
			
			//格式化支付方式
			switch(cofferLog.paymentMethod){
			case 'WECHATPAY':
				cofferLog.paymentMethod = '微信'; break;
			case 'BALANCEPAY':
				cofferLog.paymentMethod = '账户余额'; break;
			case 'UNIONPAYPAY':
				cofferLog.paymentMethod = '银联'; break;
			case 'ALIPAY':
				cofferLog.paymentMethod = '支付宝'; break;
			default:
				cofferLog.paymentMethod = '[未知类型或为空]';
			}
			
			//格式化完毕
			return cofferLog;
		},
		
		/********格式化Bidding对象**********/
		bidding:function(bidding){
			//格式化biddingStatus竞标状态
			switch (bidding.biddingStatus) {
			case 'BIDDING':
				bidding.biddingStatus = '竞标中'; break;
			case 'FAIL':
				bidding.biddingStatus = '竞标失败'; break;
			case 'SUCCEED':
				bidding.biddingStatus = '竞标成功'; break;
			default:
				alert('格式化biddingStatus竞标状态错误，请查证');
			}
			
			//格式化完毕
			return bidding;
		},
		
		/********格式化Event对象**********/
		event:function(event){
			//格式化eventStatus竞标状态
			switch (event.eventStatus) {
			case 'PUBLISH':
				event.eventStatus = '发布中'; break;
			case 'BIDDING':
				event.eventStatus = '竞标中'; break;
			case 'PROCEED':
				event.eventStatus = '进行中'; break;
			case 'FINISH':
				event.eventStatus = '已完成'; break;
			case 'CANCEL':
				event.eventStatus = '已取消'; break;
			default:
				alert('格式化eventStatus需求委托状态错误，请查证');
			}
			
			//格式化完毕
			return event;
		},
		
		/********格式化GiftType对象**********/
		gift:function(gift){
			//格式化gift心意
			switch (gift.isOperant) {
			case 'YES':
				gift.isOperant = '是'; break;
			case 'NO':
				gift.isOperant = '否'; break;
			default:
				alert('格式化gift心意错误，请查证');
			}
			
			//格式化完毕
			return gift;
		},
		
		/********格式化GiftType对象**********/
		giftType:function(giftType){
			//格式化giftGroup心意分类组
			switch (giftType.giftGroup) {
			case 'JINQI':
				giftType.giftGroup = '锦旗'; break;
			case 'JIANGZHANG':
				giftType.giftGroup = '奖章'; break;
			default:
				alert('格式化giftGroup心意分类组错误，请查证');
			}
			
			//格式化完毕
			return giftType;
		},
		
		/********格式化Message对象**********/
		message:function(message){
			//格式化senderIdentity发送者身份
			switch (message.senderIdentity) {
			case 'C':
				message.senderIdentity = '用户'; break;
			case 'H':
				message.senderIdentity = '处理人'; break;
			default:
				alert('格式化senderIdentity发送者身份错误，请查证');
			}
			
			//格式化完毕
			return message;
		},
		
		/********格式化PressNews对象**********/
		pressNews:function(pressNews){
			//格式化pressNewsType文章类型
			switch (pressNews.pressNewsType) {
			case 'WZ':
				pressNews.pressNewsType = '文章'; break;
			case 'CGAL':
				pressNews.pressNewsType = '成功案例'; break;
			case 'SP':
				pressNews.pressNewsType = '视频'; break;
			default:
				alert('格式化pressNewsType文章类型错误，请查证');
			}
			
			//格式化完毕
			return pressNews;
		},
		
		/********格式化Pretalk对象**********/
		pretalk:function(pretalk){
			//格式化pretalkStatus预约状态
			switch (pretalk.pretalkStatus) {
			case 'YYZ':
				pretalk.pretalkStatus = '预约中'; break;
			case 'DZX':
				pretalk.pretalkStatus = '待咨询'; break;
			case 'DFK':
				pretalk.pretalkStatus = '待付款'; break;
			case 'YWC':
				pretalk.pretalkStatus = '已完成'; break;
			case 'YJS':
				pretalk.pretalkStatus = '已结束'; break;
			default:
				alert('格式化pretalkStatus预约状态错误，请查证');
			}
			
			//格式化完毕
			return pretalk;
		},
		
		/********格式化Pretalk对象**********/
		talk:function(talk){
			//格式化isCommonweal咨询类型
			switch (talk.isCommonweal) {
			case 'ISCOMMONWEAL':
				talk.isCommonweal = '预约中'; break;
			case 'NOCOMMONWEAL':
				talk.isCommonweal = '待咨询'; break;
			default:
				alert('格式化isCommonweal咨询类型错误，请查证');
			}
			
			//格式化完毕
			return talk;
		},
		
		/********格式化Evaluate对象**********/
		evaluate:function(evaluate){
			//格式化evaluateType评价类型(咨询，需求委托，心意评价，公益服务评价)
			switch (evaluate.evaluateType) {
			case 'ZXPJ':
				evaluate.evaluateType = '咨询评价'; break;
			case 'XQPJ':
				evaluate.evaluateType = '需求评价'; break;
			case 'XYPJ':
				evaluate.evaluateType = '心意评价'; break;
			case 'GYPJ':
				evaluate.evaluateType = '公益服务评价'; break;
			default:
				alert('格式化evaluateType评价类型错误，请查证');
			}
			
			//格式化完毕
			return evaluate;
		}
		
		
		
		
}